> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1audiencefeedslogs



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/audience/feeds/logs
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/audience/feeds/logs:
    get:
      tags:
        - AudienceFeeds
      operationId: audience.feeds.logs
      parameters:
        - name: feed_id
          in: query
          schema:
            type: string
            format: uuid
        - name: pageSize
          in: query
          schema:
            type: integer
        - name: page
          in: query
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/AudienceFeedLogData'
                  meta:
                    type: object
                    properties:
                      total:
                        type: integer
                      current_page:
                        type: integer
                      last_page:
                        type: integer
                      per_page:
                        type: integer
                    required:
                      - total
                      - current_page
                      - last_page
                      - per_page
                required:
                  - data
                  - meta
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    AudienceFeedLogData:
      type: object
      properties:
        feed_id:
          type: string
        feed_data:
          anyOf:
            - $ref: '#/components/schemas/ContactFeedData'
            - type: string
        error_message:
          type:
            - string
            - 'null'
        is_new:
          type: boolean
        is_success:
          type:
            - boolean
            - 'null'
        date_created:
          type:
            - string
            - 'null'
      required:
        - feed_id
        - feed_data
        - error_message
        - is_new
        - is_success
        - date_created
      title: AudienceFeedLogData
    ContactFeedData:
      type: object
      properties:
        feed_token:
          type: string
        name:
          type:
            - string
            - 'null'
        phone_normalized:
          type:
            - string
            - 'null'
        email_normalized:
          type:
            - string
            - 'null'
          format: email
        country_id:
          type:
            - integer
            - 'null'
          description: Required if country not set
        country:
          type:
            - string
            - 'null'
          description: Required if country_id not set
        state_id:
          type:
            - integer
            - 'null'
        state:
          type:
            - string
            - 'null'
        custom1_str:
          type:
            - string
            - 'null'
        custom2_str:
          type:
            - string
            - 'null'
        custom3_str:
          type:
            - string
            - 'null'
        custom4_str:
          type:
            - string
            - 'null'
        custom5_str:
          type:
            - string
            - 'null'
        custom1_int:
          type:
            - integer
            - 'null'
        custom2_int:
          type:
            - integer
            - 'null'
        custom3_int:
          type:
            - integer
            - 'null'
        custom4_int:
          type:
            - integer
            - 'null'
        custom5_int:
          type:
            - integer
            - 'null'
        custom1_dec:
          type:
            - number
            - 'null'
        custom2_dec:
          type:
            - number
            - 'null'
        custom1_datetime:
          type:
            - string
            - 'null'
        custom2_datetime:
          type:
            - string
            - 'null'
        custom3_datetime:
          type:
            - string
            - 'null'
        custom4_datetime:
          type:
            - string
            - 'null'
        custom5_datetime:
          type:
            - string
            - 'null'
        tags:
          type:
            - array
            - 'null'
          items:
            type: string
        phone_is_good:
          type:
            - integer
            - 'null'
        phone_is_good_reason:
          type:
            - integer
            - 'null'
      required:
        - feed_token
        - name
        - phone_normalized
        - email_normalized
        - country_id
        - country
        - state_id
        - state
        - custom1_str
        - custom2_str
        - custom3_str
        - custom4_str
        - custom5_str
        - custom1_int
        - custom2_int
        - custom3_int
        - custom4_int
        - custom5_int
        - custom1_dec
        - custom2_dec
        - custom1_datetime
        - custom2_datetime
        - custom3_datetime
        - custom4_datetime
        - custom5_datetime
        - tags
        - phone_is_good
        - phone_is_good_reason
      title: ContactFeedData
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````